Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.random
Interface RandomSource

All Known Implementing Classes:
  SimpleRandomSource

public interface RandomSource

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Method Summary
`boolean` | `nextBoolean()` DESCRIBE THE METHOD
`void` | `nextBytes(byte[] bytes)` DESCRIBE THE METHOD
`double` | `nextDouble()` DESCRIBE THE METHOD
`float` | `nextFloat()` DESCRIBE THE METHOD
`double` | `nextGaussian()` DESCRIBE THE METHOD
`int` | `nextInt()` DESCRIBE THE METHOD
`int` | `nextInt(int max)` DESCRIBE THE METHOD
`long` | `nextLong()` DESCRIBE THE METHOD

Method Detail

### nextBoolean

    public boolean nextBoolean()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### nextBytes

    public void nextBytes(byte[] bytes)

  DESCRIBE THE METHOD

  Parameters:
    `bytes` - DESCRIBE THE PARAMETER

### nextDouble

    public double nextDouble()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### nextFloat

    public float nextFloat()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### nextGaussian

    public double nextGaussian()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### nextInt

    public int nextInt()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### nextInt

    public int nextInt(int max)

  DESCRIBE THE METHOD

  Parameters:
    `max` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### nextLong

    public long nextLong()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.